Enlaces
GET https://scanflick.com/api/links/
curl --request GET \
--url 'https://scanflick.com/api/links/' \
--header 'Authorization: Bearer {api_key}' \
--url 'https://scanflick.com/api/links/' \
--header 'Authorization: Bearer {api_key}' \
| Parámetros | Detalles | Descripción |
|---|---|---|
| search | Opcional Cadena | La cadena de búsqueda. |
| search_by | Opcional Cadena | Campo por el que se realiza la búsqueda. Valores permitidos: url, location_url, name. |
| is_enabled | Opcional Booleano | |
| project_id | Opcional Entero | |
| domain_id | Opcional Entero | |
| datetime_field | Opcional Cadena | Valores permitidos: datetime, last_datetime |
| datetime_start | Opcional Cadena | Filtrar resultados a partir de esta fecha y hora. Formato: Y-m-d H:i:s. |
| datetime_end | Opcional Cadena | Filtrar resultados hasta esta fecha y hora. Formato: Y-m-d H:i:s. |
| order_by | Opcional Cadena | Campo por el que ordenar los resultados. Valores permitidos: link_id, datetime, last_datetime, url, location_url, pageviews, name. |
| order_type | Opcional Cadena | El orden de los resultados. Valores permitidos: ASC para orden ascendente y DESC para orden descendente. |
| page | Opcional Entero | Número de página de los resultados. Por defecto 1. |
| results_per_page | Opcional Entero | Cuántos resultados desea por página. Los valores permitidos son: 10, 25, 50, 100, 250, 500, 1000. Por defecto 25. |
{
"data": [
{
"id": 1,
"user_id": 1,
"project_id": 1,
"domain_id": 1,
"pixels_ids": [],
"email_reports_is_enabled": 1,
"email_reports_last_datetime": "2026-09-30 02:32:04",
"url": "https://example.com/",
"location_url": "https://example.com/",
"type": "Example",
"file_name": "Example",
"file_size": 1,
"file_mime_type": "Example",
"name": "Example",
"settings": [],
"pageviews": 1,
"is_enabled": true,
"last_datetime": null,
"datetime": "2026-09-30 02:32:04"
}
],
"meta": {
"page": 1,
"total_pages": 1,
"results_per_page": 25,
"total_results": 1
},
"links": {
"first": "https://scanflick.com/api/links?page=1",
"last": "https://scanflick.com/api/links?page=1",
"next": null,
"prev": null,
"self": "https://scanflick.com/api/links?page=1"
}
}
GET https://scanflick.com/api/links/{link_id}
curl --request GET \
--url 'https://scanflick.com/api/links/{link_id}' \
--header 'Authorization: Bearer {api_key}' \
--url 'https://scanflick.com/api/links/{link_id}' \
--header 'Authorization: Bearer {api_key}' \
{
"data": {
"id": 1,
"user_id": 1,
"project_id": 1,
"domain_id": 1,
"pixels_ids": [],
"email_reports_is_enabled": 1,
"email_reports_last_datetime": "2026-09-30 02:32:04",
"url": "https://example.com/",
"location_url": "https://example.com/",
"type": "Example",
"file_name": "Example",
"file_size": 1,
"file_mime_type": "Example",
"name": "Example",
"settings": [],
"pageviews": 1,
"is_enabled": true,
"last_datetime": null,
"datetime": "2026-09-30 02:32:04"
}
}
POST https://scanflick.com/api/links
| Parámetros | Detalles | Descripción |
|---|---|---|
| location_url | Obligatorio Cadena | La URL de destino.Disponible cuando: is_bulk = 0 |
| location_urls | Obligatorio Cadena | La URL de destino.Disponible cuando: is_bulk = 1 |
| url | Opcional Cadena | El alias URL del enlace generado. Déjelo vacío para que se genere uno aleatoriamente.Disponible cuando: is_bulk = 0 |
| is_bulk | Opcional Booleano | |
| domain_id | Opcional Entero | - |
| project_id | Opcional Entero | - |
| pixels_ids | Opcional Array Entero | - |
| email_reports_is_enabled | Opcional Booleano | Reciba análisis sencillos y fáciles de entender de su enlace a través del correo electrónico de su cuenta.Disponible cuando: is_bulk = 0 |
| schedule | Opcional Booleano | - |
| start_date | Opcional Cadena | Disponible cuando: schedule = true |
| end_date | Opcional Cadena | Disponible cuando: schedule = true |
| pageviews_limit | Opcional Entero | - |
| expiration_url | Opcional Cadena | - |
| password | Opcional Cadena | - |
| is_se_visible | Opcional Booleano | - |
| forward_query_parameters_is_enabled | Opcional Booleano | - |
| utm_source | Opcional Cadena | - |
| utm_medium | Opcional Cadena | - |
| utm_campaign | Opcional Cadena | - |
| sensitive_content | Opcional Booleano | - |
| http_status_code | Opcional Entero | Valores permitidos: 301, 302, 307, 308 |
| app_linking_is_enabled | Opcional Booleano | - |
| cloaking_is_enabled | Opcional Booleano | - |
| cloaking_title | Opcional Cadena | - |
| cloaking_meta_description | Opcional Cadena | - |
| cloaking_custom_js | Opcional Cadena | - |
| cloaking_favicon | Opcional Archivo | - |
| cloaking_opengraph | Opcional Archivo | - |
| targeting_type | Opcional Cadena | continent_code, country_code, city_name, device_type, browser_language, rotation, os_name, browser_name |
| targeting_continent_code_key[index] | Opcional Cadena | Disponible cuando: targeting_type = continent_code |
| targeting_continent_code_value[index] | Opcional Cadena | Disponible cuando: targeting_type = continent_code |
| targeting_country_code_key[index] | Opcional Cadena | Disponible cuando: targeting_type = country_code |
| targeting_country_code_value[index] | Opcional Cadena | Disponible cuando: targeting_type = country_code |
| targeting_city_name_key[index] | Opcional Cadena | Disponible cuando: targeting_type = city_name |
| targeting_city_name_value[index] | Opcional Cadena | Disponible cuando: targeting_type = city_name |
| targeting_device_type_key[index] | Opcional Cadena | Disponible cuando: targeting_type = device_type |
| targeting_device_type_value[index] | Opcional Cadena | Disponible cuando: targeting_type = device_type |
| targeting_browser_language_key[index] | Opcional Cadena | Disponible cuando: targeting_type = browser_language |
| targeting_browser_language_value[index] | Opcional Cadena | Disponible cuando: targeting_type = browser_language |
| targeting_rotation_key[index] | Opcional Cadena | Disponible cuando: targeting_type = rotation |
| targeting_rotation_value[index] | Opcional Cadena | Disponible cuando: targeting_type = rotation |
| targeting_os_name_key[index] | Opcional Cadena | Disponible cuando: targeting_type = os_name |
| targeting_os_name_value[index] | Opcional Cadena | Disponible cuando: targeting_type = os_name |
| targeting_browser_name_key[index] | Opcional Cadena | Disponible cuando: targeting_type = browser_name |
| targeting_browser_name_value[index] | Opcional Cadena | Disponible cuando: targeting_type = browser_name |
| is_enabled | Opcional Booleano | - |
| name | Opcional Cadena | - |
curl --request POST \
--url 'https://scanflick.com/api/links' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'url=example' \
--form 'location_url=https://scanflick.com/' \
--form 'email_reports_is_enabled=1' \
--url 'https://scanflick.com/api/links' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'url=example' \
--form 'location_url=https://scanflick.com/' \
--form 'email_reports_is_enabled=1' \
{
"data": {
"id": 1
}
}
POST https://scanflick.com/api/links/{link_id}
| Parámetros | Detalles | Descripción |
|---|---|---|
| location_url | Opcional Cadena | La URL de destino. |
| url | Opcional Cadena | El alias URL del enlace generado. Déjelo vacío para que se genere uno aleatoriamente. |
| domain_id | Opcional Entero | - |
| project_id | Opcional Entero | - |
| pixels_ids | Opcional Array Entero | - |
| email_reports_is_enabled | Opcional Booleano | Reciba análisis sencillos y fáciles de entender de su enlace a través del correo electrónico de su cuenta. |
| schedule | Opcional Booleano | - |
| start_date | Opcional Cadena | Disponible cuando: schedule = true |
| end_date | Opcional Cadena | Disponible cuando: schedule = true |
| pageviews_limit | Opcional Entero | - |
| expiration_url | Opcional Cadena | - |
| password | Opcional Cadena | - |
| is_se_visible | Opcional Booleano | - |
| forward_query_parameters_is_enabled | Opcional Booleano | - |
| utm_source | Opcional Cadena | - |
| utm_medium | Opcional Cadena | - |
| utm_campaign | Opcional Cadena | - |
| sensitive_content | Opcional Booleano | - |
| http_status_code | Opcional Entero | Valores permitidos: 301, 302, 307, 308 |
| app_linking_is_enabled | Opcional Booleano | - |
| cloaking_is_enabled | Opcional Booleano | - |
| cloaking_title | Opcional Cadena | - |
| cloaking_meta_description | Opcional Cadena | - |
| cloaking_custom_js | Opcional Cadena | - |
| cloaking_favicon | Opcional Archivo | - |
| cloaking_opengraph | Opcional Archivo | - |
| targeting_type | Opcional Cadena | continent_code, country_code, city_name, device_type, browser_language, rotation, os_name, browser_name |
| targeting_continent_code_key[index] | Opcional Cadena | Disponible cuando: targeting_type = continent_code |
| targeting_continent_code_value[index] | Opcional Cadena | Disponible cuando: targeting_type = continent_code |
| is_enabled | Opcional Booleano | - |
| targeting_country_code_key[index] | Opcional Cadena | Disponible cuando: targeting_type = country_code |
| targeting_country_code_value[index] | Opcional Cadena | Disponible cuando: targeting_type = country_code |
| is_enabled | Opcional Booleano | - |
| targeting_city_name_key[index] | Opcional Cadena | Disponible cuando: targeting_type = city_name |
| targeting_city_name_value[index] | Opcional Cadena | Disponible cuando: targeting_type = city_name |
| is_enabled | Opcional Booleano | - |
| targeting_device_type_key[index] | Opcional Cadena | Disponible cuando: targeting_type = device_type |
| targeting_device_type_value[index] | Opcional Cadena | Disponible cuando: targeting_type = device_type |
| is_enabled | Opcional Booleano | - |
| targeting_browser_language_key[index] | Opcional Cadena | Disponible cuando: targeting_type = browser_language |
| targeting_browser_language_value[index] | Opcional Cadena | Disponible cuando: targeting_type = browser_language |
| is_enabled | Opcional Booleano | - |
| targeting_rotation_key[index] | Opcional Cadena | Disponible cuando: targeting_type = rotation |
| targeting_rotation_value[index] | Opcional Cadena | Disponible cuando: targeting_type = rotation |
| is_enabled | Opcional Booleano | - |
| targeting_os_name_key[index] | Opcional Cadena | Disponible cuando: targeting_type = os_name |
| targeting_os_name_value[index] | Opcional Cadena | Disponible cuando: targeting_type = os_name |
| is_enabled | Opcional Booleano | - |
| targeting_browser_name_key[index] | Opcional Cadena | Disponible cuando: targeting_type = browser_name |
| targeting_browser_name_value[index] | Opcional Cadena | Disponible cuando: targeting_type = browser_name |
| is_enabled | Opcional Booleano | - |
| name | Opcional Cadena | - |
curl --request POST \
--url 'https://scanflick.com/api/links/{link_id}' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'is_enabled=0' \
--form 'email_reports_is_enabled=0' \
--url 'https://scanflick.com/api/links/{link_id}' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'is_enabled=0' \
--form 'email_reports_is_enabled=0' \
{
"data": {
"id": 1,
"user_id": 1,
"project_id": 1,
"domain_id": 1,
"pixels_ids": [],
"email_reports_is_enabled": 1,
"email_reports_last_datetime": "2026-09-30 02:32:04",
"url": "https://example.com/",
"location_url": "https://example.com/",
"name": "Example",
"settings": [],
"pageviews": 1,
"is_enabled": 1,
"last_datetime": null,
"datetime": "2026-09-30 02:32:04"
}
}
DELETE https://scanflick.com/api/links/{link_id}
curl --request DELETE \
--url 'https://scanflick.com/api/links/{link_id}' \
--header 'Authorization: Bearer {api_key}' \
--url 'https://scanflick.com/api/links/{link_id}' \
--header 'Authorization: Bearer {api_key}' \